[arch-commits] Commit in php/trunk (PKGBUILD filter.patch)
Pierre Schmitz
pierre at archlinux.org
Sat Dec 6 18:26:23 UTC 2008
Date: Saturday, December 6, 2008 @ 13:26:23
Author: pierre
Revision: 20786
upgpkg: php 5.2.7-2
Added:
php/trunk/filter.patch
Modified:
php/trunk/PKGBUILD
--------------+
PKGBUILD | 10 +++++++---
filter.patch | 11 +++++++++++
2 files changed, 18 insertions(+), 3 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2008-12-06 18:18:22 UTC (rev 20785)
+++ PKGBUILD 2008-12-06 18:26:23 UTC (rev 20786)
@@ -3,7 +3,7 @@
pkgname=php
pkgver=5.2.7
-pkgrel=1
+pkgrel=2
_suhosinver=0.9.6.3
pkgdesc='A high-level scripting language'
arch=('i686' 'x86_64')
@@ -38,12 +38,13 @@
options=('emptydirs')
source=("http://www.php.net/distributions/${pkgname}-${pkgver}.tar.bz2" \
"http://download.suhosin.org/suhosin-patch-${pkgver}-${_suhosinver}.patch.gz" \
- 'php.ini' 'apache.conf' 'db-configure.patch')
+ 'php.ini' 'apache.conf' 'db-configure.patch' 'filter.patch')
md5sums=('9ffc42edbb7faad965699666ddd559bc'
'd455c3dd5b652046dbac2951a58f64fa'
'0ee1dad48f7d67af3d2c78ca6eed68ba'
'96ca078be6729b665be8a865535a97bf'
- '74e5ce5a02488ec91b1c59f539e42936')
+ '74e5ce5a02488ec91b1c59f539e42936'
+ 'b0286fe2fd5f57770cb2d9e15144cd19')
build() {
phpconfig="--prefix=/usr \
@@ -125,6 +126,9 @@
cd ${srcdir}/${pkgname}-${pkgver}
+ # fix magic_quotes_gpc; see http://bugs.php.net/bug.php?id=46759
+ patch -p0 -i ${srcdir}/filter.patch || return 1
+
# avoid linking against old db version
patch -p0 -i ${srcdir}/db-configure.patch || return 1
Added: filter.patch
===================================================================
--- filter.patch (rev 0)
+++ filter.patch 2008-12-06 18:26:23 UTC (rev 20786)
@@ -0,0 +1,11 @@
+--- ext/filter/filter.c 2008/11/02 22:04:40 1.52.2.43
++++ ext/filter/filter.c 2008/12/06 17:16:36 1.52.2.44
+@@ -403,7 +403,7 @@
+ Z_STRLEN(new_var) = val_len;
+ Z_TYPE(new_var) = IS_STRING;
+
+- if (IF_G(default_filter) != FILTER_UNSAFE_RAW || IF_G(default_filter_flags) != 0) {
++ if (IF_G(default_filter) != FILTER_UNSAFE_RAW) {
+ zval *tmp_new_var = &new_var;
+ Z_STRVAL(new_var) = estrndup(*val, val_len);
+ INIT_PZVAL(tmp_new_var);
More information about the arch-commits
mailing list